<?php
namespace NicolasBejean\CategoryWidget\Api\Data;

use \Magento\Framework\Api\SearchResultsInterface;

/**
 * Interface CategoryWidgetSearchResultsInterface
 *
 * @category PHP
 * @package  NicolasBejean\CategoryWidget\Api\Data
 * @author   Nicolas Béjean <nicolas@bejean.eu>
 * @license  https://github.com/nicolasbejean/category-widget/blob/master/licence.txt BSD Licence
 * @link     https://www.bejean.eu
 */
interface CategoryWidgetSearchResultsInterface extends SearchResultsInterface
{
    /**
     * Get Category Widget Items
     *
     * @return \NicolasBejean\CategoryWidget\Api\Data\CategoryWidgetInterface[]
     */
    public function getItems();

    /**
     * Set Category Widget Items
     *
     * @param \NicolasBejean\CategoryWidget\Api\Data\CategoryWidgetInterface[] $items
     * @return $this
     */
    public function setItems(array $items);
}
