<?php
namespace NicolasBejean\CategoryWidget\Api;

use \NicolasBejean\CategoryWidget\Api\Data\CategoryWidgetInterface;

/**
 * Interface GetCategoryWidgetByIdentifierInterface
 *
 * @category PHP
 * @package  NicolasBejean\CategoryWidget\Api
 * @author   Nicolas Béjean <nicolas@bejean.eu>
 * @license  https://github.com/nicolasbejean/category-widget/blob/master/licence.txt BSD Licence
 * @link     https://www.bejean.eu
 */
interface GetCategoryWidgetByIdentifierInterface
{
    /**
     * Load Category Widget data by given Item Identifier.
     *
     * @param string $identifier
     * @param int    $storeId
     * @return CategoryWidgetInterface
     */
    public function execute(string $identifier, int $storeId) : CategoryWidgetInterface;
}
