<?php
namespace NicolasBejean\CategoryWidget\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;

class CategoryList implements ArrayInterface
{
    protected $_categoryHelper;

    public function __construct(\Magento\Catalog\Helper\Category $catalogCategory)
    {
        $this->_categoryHelper = $catalogCategory;
    }

    /*
     * Return categories helper
     */

    public function getStoreCategories($sorted = false, $asCollection = false, $toLoad = true)
    {
        return $this->_categoryHelper->getStoreCategories($sorted, $asCollection, $toLoad);
    }

    /*
     * Option getter
     * @return array
     */
    public function toOptionArray()
    {
        $arr = $this->toArray();
        $ret = [];

        foreach ($arr as $key => $value) :
            $ret[] = [
                'value' => $key,
                'label' => $value
            ];
        endforeach;

        return $ret;
    }

    /*
     * Get options in "key-value" format
     * @return array
     */
    public function toArray()
    {
        /* Le paramètre asCollection permet à true d'afficher le second niveau des catégories */
        $categories = $this->getStoreCategories(false,true,true);
        $categoryList = array();

        foreach ($categories as $category) :
            $categoryList[$category->getEntityId()] = __($category->getName());
        endforeach;

        return $categoryList;
    }
}
